summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2012-06-25 22:08:45 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-06-25 22:08:45 -0400
commit007066bebc1e7101df4dc2cf2fc2f4907448fe8a (patch)
tree2d73a04d01a4b659ca58908558135c6a6c3cf1a6 /accessibility
parent9544e81473d2609ff70629a9cf228505ab424f9b (diff)
downloadslackbuilds-007066bebc1e7101df4dc2cf2fc2f4907448fe8a.tar.gz
slackbuilds-007066bebc1e7101df4dc2cf2fc2f4907448fe8a.tar.xz
accessibility/pastebinit: Added (command-line pastebin client)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/pastebinit/README8
-rw-r--r--accessibility/pastebinit/manpagefix.diff12
-rw-r--r--accessibility/pastebinit/pastebinit.SlackBuild81
-rw-r--r--accessibility/pastebinit/pastebinit.info10
-rw-r--r--accessibility/pastebinit/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/accessibility/pastebinit/README b/accessibility/pastebinit/README
new file mode 100644
index 0000000000..f116a298f4
--- /dev/null
+++ b/accessibility/pastebinit/README
@@ -0,0 +1,8 @@
+pastebinit (command-line pastebin client)
+
+pastebinit is a small python script that simply sends whatever you give
+it to an online pastebin and gives you the URL in return. It’s useful
+when doing IRC support (when you don’t want one to paste a 200 lines
+log) or when working on a command line box with no way to SSH in it.
+
+This requires configobj.
diff --git a/accessibility/pastebinit/manpagefix.diff b/accessibility/pastebinit/manpagefix.diff
new file mode 100644
index 0000000000..ed6445c488
--- /dev/null
+++ b/accessibility/pastebinit/manpagefix.diff
@@ -0,0 +1,12 @@
+diff -Naur pastebinit-1.3.1/pastebinit.xml pastebinit-1.3.1.patched//pastebinit.xml
+--- pastebinit-1.3.1/pastebinit.xml 2012-05-30 09:46:51.000000000 -0400
++++ pastebinit-1.3.1.patched//pastebinit.xml 2012-06-14 06:01:08.000000000 -0400
+@@ -31,6 +31,8 @@
+ &dhucpackage;
+
+ &dhsection;
++ <refmiscinfo class="manual">SlackBuilds.org</refmiscinfo>
++ <refmiscinfo class="source">SlackBuilds.org</refmiscinfo>
+ </refmeta>
+ <refnamediv>
+ <refname>&dhpackage;</refname>
diff --git a/accessibility/pastebinit/pastebinit.SlackBuild b/accessibility/pastebinit/pastebinit.SlackBuild
new file mode 100644
index 0000000000..bb457b84dc
--- /dev/null
+++ b/accessibility/pastebinit/pastebinit.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/bash
+
+# Slackware build script for pastebinit
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://sam.zoy.org/wtfpl/ for details.
+
+PRGNAM=pastebinit
+VERSION=${VERSION:-1.3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Get rid of the fixmes in the man page.
+patch -p1 < $CWD/manpagefix.diff
+
+# Sadly, this pastebin has been shut down.
+rm -f $PRGNAM.d/paste.pocoo.org.conf
+
+mkdir -p \
+ $PKG/usr/bin \
+ $PKG/usr/share/pastebin.d \
+ $PKG/usr/share/locale \
+ $PKG/usr/man/man1 \
+
+# No Makefile, manual installation.
+install -m0755 -oroot -groot $PRGNAM $PKG/usr/bin
+install -m0755 -oroot -groot utils/pbput $PKG/usr/bin
+ln -s pbput $PKG/usr/bin/pbget
+ln -s pbput $PKG/usr/bin/pbputs
+install -m0644 pastebin.d/* $PKG/usr/share/pastebin.d
+
+# Translations.
+cd po
+ make
+ cp -a mo/* $PKG/usr/share/locale
+cd -
+
+# Generate the main man page. pbput man page is prebuilt by upstream.
+# If this fails, you have multiple versions of linuxdoc-tools installed!
+xsltproc \
+ /usr/share/xml/docbook/xsl-stylesheets-*/manpages/docbook.xsl \
+ $PRGNAM.xml
+
+# Install all the man pages.
+gzip -9c < $PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+gzip -9c < utils/pbput.1 > $PKG/usr/man/man1/pbput.1.gz
+ln -s pbput.1.gz $PKG/usr/man/man1/pbget.1.gz
+ln -s pbput.1.gz $PKG/usr/man/man1/pbputs.1.gz
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/pastebinit/pastebinit.info b/accessibility/pastebinit/pastebinit.info
new file mode 100644
index 0000000000..fba7b75d9b
--- /dev/null
+++ b/accessibility/pastebinit/pastebinit.info
@@ -0,0 +1,10 @@
+PRGNAM="pastebinit"
+VERSION="1.3.1"
+HOMEPAGE="http://www.stgraber.org/category/pastebinit/"
+DOWNLOAD="https://launchpad.net/pastebinit/trunk/1.3.1/+download/pastebinit-1.3.1.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="9541f4358f77cb024127ebcbac7db5ff"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/accessibility/pastebinit/slack-desc b/accessibility/pastebinit/slack-desc
new file mode 100644
index 0000000000..c642f3fdce
--- /dev/null
+++ b/accessibility/pastebinit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pastebinit: pastebinit (command-line pastebin client)
+pastebinit:
+pastebinit: pastebinit is a small python script that just sends whatever you give
+pastebinit: it to an online pastebin and gives you the URL in return. It's useful
+pastebinit: when doing IRC support (when you don't want one to paste a 200 lines
+pastebinit: log) or when working on a command line box with no way to SSH in it.
+pastebinit:
+pastebinit:
+pastebinit:
+pastebinit:
+pastebinit: